
/**
 * @list helpers
 * @description generalized helpers
 */

var crypto = require('crypto');

/**
 * @method encryptPass
 * @description salts and encrypts a password string
 */

exports.encryptPass = function(password) {
  var salt = 'CHANGE_ME';
  return crypto.createHmac('sha1', salt).update(password).digest('hex');
};

/**
 * @method (middleware) checkLogged
 * @description Checks if User is logged in
 */

exports.checkLogged = function(request, response, next) {
  if (request.session && request.session.auth && request.session.auth.logged === true) {
    next();
  } else {
    response.redirect('/admin/login/');
  };
};

/**
 * @method (middleware) checkLogged
 * @description Checks if User is logged in
 */

exports.isSuperUser = function(request, response, next) {
  if (request.session && request.session.auth && request.session.auth.user.is_superuser === true) {
    next();
  } else {
    response.redirect('/admin/');
  };
};
